Skip to main content
Create Token
curl --request POST \
  --url https://testnet.walletkit.com/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "symbol": "<string>",
  "decimals": "<string>",
  "initial_supply": "<string>",
  "display_decimals": "<string>",
  "logo_url": "<string>",
  "developer_secret": "<string>",
  "user_pin": "<string>"
}
'
import requests

url = "https://testnet.walletkit.com/tokens"

payload = {
"name": "<string>",
"symbol": "<string>",
"decimals": "<string>",
"initial_supply": "<string>",
"display_decimals": "<string>",
"logo_url": "<string>",
"developer_secret": "<string>",
"user_pin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
symbol: '<string>',
decimals: '<string>',
initial_supply: '<string>',
display_decimals: '<string>',
logo_url: '<string>',
developer_secret: '<string>',
user_pin: '<string>'
})
};

fetch('https://testnet.walletkit.com/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction_id": "<string>",
  "status": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Headers

X-WalletKit-Project-ID
string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
name
string
required
symbol
string
required
decimals
string
required

Specify how many decimals places a token has. E.g. To be able to transfer 1.5 XYZ token, decimals must be at least 1 since that number has a single decimal places.

initial_supply
string
required

The amount of tokens to be minted to the token creator.

display_decimals
string | null

Decimals to display on WalletKit dashboard.

logo_url
string | null

url of the token logo.

developer_secret
string | null

On testnet, the developer_secret is always "testnet-secret". On mainnet, the developer_secret is set by the developer during account activation.

user_pin
string | null

A 6-digit numeric pin that is only known to the user, set during wallet creation. This pin is required to sign transactions from this wallet.

Response

transaction_id
string
required
network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
status
string
required